﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RoleMenuAccess
@{
    ViewData["Title"] = "Index";

}

<section>

    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>User List</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line">
                        <form asp-formhelper="true" asp-action="SaveupdateUser" asp-controller="User" asp-area="ApplicationManagement"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading......"
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/User/Index');"
                              data-ajax-failure="Errmsg(data);" id="Threatform" method="post">
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Role</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.RoleId, Model.DDLRole, "Select", new { @class = "form-control m_no" })


                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="CheckValidation()">
                                    </div>
                                    <div class="back_btn" id="viewbutton">
                                        <div class="back_btn_in" data-title="Back">
                                            <input type="button" name="Back" onclick="BackButton()" value="Back">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="assign_panel assign_section">
                        <div class="addbtn">
                            <div class="add_litigation">
                                <span>+</span>
                                <input type="button" onclick="AddButton()" value="Add User">
                            </div>
                        </div><!--edn of addbtn-->
                        @*<div class="assign_box active_block fade in">*@
                        <div class="container">
                            <div class="row">
                                <div class="col-sm-11 col-md-11">
                                    <div class="panel-group" id="accordion">
                                        @{int p = 0;
                                            foreach (var parent in Model.Menues.Where(x => x.ParentMenuId > 0 && x.ChildMenuId == 0 && x.SubMenuId == 0))
                                            {
                                                p++; int c = 0;
                                                foreach (var child in Model.Menues.Where(x => x.ParentMenuId == parent.ParentMenuId && x.ParentMenuId > 0 && x.ChildMenuId > 0 && x.SubMenuId == 0))
                                                {
                                                    c++;
                                                    <div class="panel" style="box-shadow:0px 0px 10px 2px;background-color:skyblue;">
                                                        <div class="panel-heading pb-0">
                                                            <h4 class="panel-title">
                                                                <input type="checkbox" class="form-check-input pb-3" value="" id="ChildMenuId_@(p+""+c)" onclick="CheckAllSubMenu(this)">
                                                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse_@(p+""+c)">
                                                                    <label class="form-check-label pb-3 pl-3" for="ChildMenuId_@(p+""+c)">@child.MenuName</label><br />
                                                                </a>
                                                            </h4>
                                                        </div>
                                                        <div id="collapse_@(p+""+c)" class="panel-collapse collapse">
                                                            <div class="panel-body py-0">
                                                                <table class="table mb-0">
                                                                    @{int s = 0;
                                                                        foreach (var sub in Model.Menues.Where(x => x.ParentMenuId == child.ParentMenuId && x.ChildMenuId == child.ChildMenuId && x.ParentMenuId > 0 && x.ChildMenuId > 0 && x.SubMenuId > 0))
                                                                        {
                                                                            s++;
                                                                            <tr>
                                                                                <td class="pb-0">
                                                                                    <input type="checkbox" class="form-check-input pb-3 subCheckbox_@(p+""+c)" value="" id="SubMenuId_@(p+""+c+""+s)">
                                                                                    <label class="form-check-label pb-3 pl-3" for="SubMenuId_@(p+""+c+""+s)">@sub.MenuName</label><br />
                                                                                </td>
                                                                            </tr>
                                                                        }
                                                                    }
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                }
                                            }
                                        }
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script type="text/javascript">
    function CheckAllSubMenu(childCheck) {
        var index = parseInt($(childCheck).attr('id').split('_')[1]);
        alert(index);
        $('.subCheckbox_' + index).each(function (i, v) {
            $('#SubMenuId' + index + '' + i).prop('checked', 'checked');
        });
    }



    $(document).ready(function () {
        $("#btnsubmit").show();
        if ($("#ThreatId").val() > 0) {
            debugger;
            $(".titile_heading h1").html("Edit User");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $(".titile_heading").show();
        } else {
            $(".titile_heading h1").html("User list");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
    function AddButton() {
        $(".titile_heading h1").html("Add User");
        $(".service_line").addClass("active");
        $(".assign_panel").hide();
        //$(".titile_heading").show();}
    }
    function BackButton() {
        $(".titile_heading h1").html("User List");
        $(".service_line").removeClass("active");
        $(".assign_panel").show();
        //$(".titile_heading").show();
        //$("#viewbutton").show();
    }
    //function fnHideShowForm() {
    //    $('#dvForm').toggleClass('service_line');
    //}
    //function fnUpdate(ThreatId, TTypeId, ThreatCode, ThreatName) {
    //    fnHideShowForm()
    //    $('#hiddenThreatId').val(ThreatId);
    //    $('#ddlTTypeId').val(TTypeId);
    //    $('#txtThreatCode').val(ThreatCode);
    //    $('#txtThreatName').val(ThreatName);
    //    $('#form').removeAttr('action').attr('action', '/Master/Threat/UpdateThreat');
    //}
    function fnBlockDelete(ThreatId, Action, Type) {
        if (confirm('Are you sure you want to' + Action + ' this?')) {
            $.getJSON('/Master/Threat/BlockDeleteThreat', { ThreatId: ThreatId, Type: Type }, function (data) {
                debugger;
                if (data > 0) {
                }
            });
            setTimeout(function () { window.location.reload(); }, 1000);
        }
    }
</script>

